Skip to main content
GET
Calculate working hours for a week

Path Parameters

id
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Query Parameters

weekStartDate
string
required

Any date within the desired week. This will be adjusted to the start of that week. A date, expressed in YYYY-MM-DD RFC 3339 date format.

Pattern: ^\d{4}-\d{2}-\d{2}$

Response

Ok. The operation succeeded.

Weekly working hours calculation.

weekStartDate
string<date>
required

Start date of the week, in RFC 3339 date format (YYYY-MM-DD).

weekEndDate
string<date>
required

End date of the week, in RFC 3339 date format (YYYY-MM-DD).

dailyHours
object[]
required

Daily working hours breakdown.

overrides
object[]
required

Applied overrides for this week.

total
string<duration>
required

Total working duration for the week.